// Find Text in File Search Utility

using System;
using System.IO;

class FindInFile
{
	static void Main(string[] args)
	{
		if (args.Length < 2)
		{ 
			Console.WriteLine(
				"Use: FindInFile file text");
			return;
		}

		string fileName = args[0];
		if (!File.Exists(fileName))
		{
			Console.WriteLine("Could not find file: " + fileName);
			return;
		}

		string textToFind = args[1].Trim();

		using (StreamReader reader = File.OpenText(fileName))
		{
			bool found = false;
			int lineNumber = 0;
			string line;
			while ((line = reader.ReadLine()) != null)
			{
				lineNumber++;
				if (line.IndexOf(textToFind) > -1) 
				{
					Console.WriteLine("{0:0000}: {1}",
						lineNumber, line);
					found = true;
				}
			}
			if (!found)
			{
				Console.WriteLine("Text not found!");
			}
		}
	}
}